Method: networks.slates.list

Lists Slate objects.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/slates

Path parameters

Parameters
parent

string

Required. The parent resource containing the Slates. Format: networks/{networkCode}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Slates to return. The service may return fewer than this value. If unspecified, at most 50 Slates will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous slates.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to slates.list must match the call that provided the page token.

filter

string

Optional. Expression to filter the response. See syntax details at https://google.aip.dev/160

Filterable fields:

  • displayName

  • name

  • status

orderBy

string

Optional. Expression to specify sorting order. See syntax details at https://google.aip.dev/132#ordering

skip

integer

Optional. Number of individual resources to skip while paginating.

Request body

The request body must be empty.

Response body

Response message for slates.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "slates": [
    {
      object (Slate)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
slates[]

object (Slate)

The Slate objects from the specified network.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

Total number of Slate objects. If a filter was included in the request, this reflects the total number after filtering.

totalSize will not be returned if skip is nonzero.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.